package cn.yw.video.videostate.service;

 import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
import cn.yw.video.videostate.dao.YwvideohistorystateDao;

@Service("ywvideohistorystateService")
public class YwvideohistorystateService extends BaseService {
	
	private static Log log = LogFactory.getLog(YwvideohistorystateService.class);
	
	@Autowired
	private YwvideohistorystateDao ywvideohistorystateDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Ywvideohistorystate(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		ywvideohistorystateDao.insert_Ywvideohistorystate(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideohistorystate(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return ywvideohistorystateDao.update_Ywvideohistorystate(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideohistorystate(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return ywvideohistorystateDao.delete_Ywvideohistorystate(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	public Integer batch_delete_Ywvideohistorystate(Map map) throws SQLException{
		return ywvideohistorystateDao.batch_delete_Ywvideohistorystate(map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideohistorystate(Map map) throws SQLException{
		return ywvideohistorystateDao.count_Ywvideohistorystate(map);
	}
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Ywvideohistorystate(Map map) throws SQLException{
		return ywvideohistorystateDao.query_Ywvideohistorystate(map);
	}
	
	/**
	 * 查询一条
	 */
	 
	public Map get_Ywvideohistorystate(Map map) throws SQLException{
		return ywvideohistorystateDao.get_Ywvideohistorystate(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportYwvideohistorystate(Map map) throws SQLException{
		return this.listYwvideohistorystateByPage(map);
	}
	*/
	
	/**
	 * Ywvideohistorystate 分页
	 */
	public Map listYwvideohistorystateByPage(Map map) throws SQLException {
		List<Map> list = ywvideohistorystateDao.query_Ywvideohistorystate(map);
		Integer totalCount = ywvideohistorystateDao.count_Ywvideohistorystate(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
